Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.engine
Class LogarithmicLayer

    java.lang.Object
      org.joone.engine.Layer
          org.joone.engine.SimpleLayer
              org.joone.engine.LogarithmicLayer

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable, Learnable, LearnableLayer, NeuralLayer, Inspectable

    public class LogarithmicLayer

extends SimpleLayer
implements LearnableLayer

This layer implements a logarithmic transfer function. Used in some NN to avoid to saturate the inputs.

Author:
  P.Marrone
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.joone.engine.Layer
`bias, gradientInps, gradientOuts, inps, inputPatternListeners, learnable, learning, m_batch, monitor, myLearner, outputPatternListeners, outs, running, step, STOP_FLAG`

Constructor Summary
`LogarithmicLayer()` Creates a new instance of LogarithmicLayer
`LogarithmicLayer(java.lang.String elemName)`

Method Summary
`protected void` | `backward(double[] pattern)` Reverse transfer function of the component.
`protected void` | `forward(double[] pattern)` Transfer function to recall a result on a trained net
`Learner` | `getLearner()` Deprecated. - Used only for backward compatibility

Methods inherited from class org.joone.engine.SimpleLayer
`getLearningRate, getLrate, getMomentum, setDimensions, setLrate, setMomentum, setMonitor`

Methods inherited from class org.joone.engine.Layer
`addInputSynapse, addNoise, addOutputSynapse, adjustSizeToFwdPattern, adjustSizeToRevPattern, check, checkInputEnabled, checkInputs, checkOutputs, copyInto, finalize, fireFwdGet, fireFwdPut, fireRevGet, fireRevPut, fwdRun, getAllInputs, getAllOutputs, getBias, getDimension, getLastOutputs, getLayerName, getMonitor, getRows, getThreadMonitor, hasStepCounter, init, initLearner, InspectableTitle, Inspections, isInputLayer, isOutputLayer, isRunning, join, randomize, removeAllInputs, removeAllOutputs, removeInputSynapse, removeListener, removeOutputSynapse, resetInputListeners, revRun, run, setAllInputs, setAllOutputs, setBias, setConnDimensions, setInputDimension, setInputSynapses, setLayerName, setOutputDimension, setOutputSynapses, setRows, start, stop, sumBackInput, sumInput, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.joone.engine.Learnable
`getMonitor, initLearner`

Methods inherited from interface org.joone.engine.NeuralLayer
`addInputSynapse, addNoise, addOutputSynapse, check, copyInto, getAllInputs, getAllOutputs, getBias, getLayerName, getMonitor, getRows, isRunning, removeAllInputs, removeAllOutputs, removeInputSynapse, removeOutputSynapse, setAllInputs, setAllOutputs, setBias, setLayerName, setMonitor, setRows, start`

Constructor Detail

### LogarithmicLayer

    public LogarithmicLayer()

  Creates a new instance of LogarithmicLayer

### LogarithmicLayer

    public LogarithmicLayer(java.lang.String elemName)

Method Detail

### forward

    protected void forward(double[] pattern)

  Transfer function to recall a result on a trained net

  Specified by:
    `forward` in class `Layer`
  Parameters:
    `pattern` - double[] - input pattern

### backward

    protected void backward(double[] pattern)

  Reverse transfer function of the component.

  Overrides:
    `backward` in class `SimpleLayer`
  Parameters:
    `pattern` - double[] - input pattern on wich to apply the transfer function

### getLearner

    public Learner getLearner()

  Deprecated. - Used only for backward compatibility

  Description copied from class: `Layer`
  Returns the appropriate Learner object for this class depending on the Monitor.learningMode property value

  Specified by:
    `getLearner` in interface `Learnable`
  Overrides:
    `getLearner` in class `Layer`
  Returns:
    the Learner object if applicable, otherwise null
  See Also:
    `Learnable.getLearner()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net